Package org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction.CreateMatrixCell

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.CreateMatrixCell

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<WeightedCell,​MatrixCell>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

    public static class ParameterizedBuiltinSPInstruction.CreateMatrixCell
    extends Object
    implements org.apache.spark.api.java.function.Function<WeightedCell,​MatrixCell>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CreateMatrixCell​(int blen, Operator op)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixCell` `call​(WeightedCell kv)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateMatrixCell

    public CreateMatrixCell​(int blen,
                            Operator op)

### Method Detail

#### call

    public MatrixCell call​(WeightedCell kv)
                    throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<WeightedCell,​MatrixCell>`
Throws:
  `Exception`